Vulnerability CVE-2006-5702


Published: 2006-11-03   Modified: 2012-02-12

Description:
Tikiwiki 1.9.5 allows remote attackers to obtain sensitive information (MySQL username and password) via an empty sort_mode parameter in (1) tiki-listpages.php, (2) tiki-lastchanges.php, (3) messu-archive.php, (4) messu-mailbox.php, (5) messu-sent.php, (6) tiki-directory_add_site.php, (7) tiki-directory_ranking.php, (8) tiki-directory_search.php, (9) tiki-forums.php, (10) tiki-view_forum.php, (11) tiki-friends.php, (12) tiki-list_blogs.php, (13) tiki-list_faqs.php, (14) tiki-list_trackers.php, (15) tiki-list_users.php, (16) tiki-my_tiki.php, (17) tiki-notepad_list.php, (18) tiki-orphan_pages.php, (19) tiki-shoutbox.php, (20) tiki-usermenu.php, and (21) tiki-webmail_contacts.php, which reveal the information in certain database error messages.

See advisories in our WLB2 database:
Topic
Author
Date
High
tikiwiki 1.9.5 mysql password disclosure & xss
securfrog
07.11.2006

Type:

CWE-200

(Information Exposure)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Tikiwiki -> Tikiwiki 
TIKI -> Tikiwiki cms/groupware 

 References:
http://security.gentoo.org/glsa/glsa-200611-11.xml
http://securityreason.com/securityalert/1816
http://www.securityfocus.com/archive/1/450268/100/0/threaded
http://www.securityfocus.com/bid/20858
http://www.vupen.com/english/advisories/2006/4316
https://exchange.xforce.ibmcloud.com/vulnerabilities/29960

Copyright 2022, cxsecurity.com

 

Back to Top